
package org.mule.module.maven.adapters;

import org.mule.api.Capabilities;
import org.mule.api.Capability;


/**
 * A <code>MavenConnectorCapabilitiesAdapter</code> is a wrapper around {@link org.mule.module.maven.MavenConnector } that implements {@link org.mule.api.Capabilities} interface.
 * 
 */
public class MavenConnectorCapabilitiesAdapter
    extends org.mule.module.maven.MavenConnector
    implements Capabilities
{


    /**
     * Returns true if this module implements such capability
     * 
     */
    public boolean isCapableOf(Capability capability) {
        if (capability == Capability.LIFECYCLE_CAPABLE) {
            return true;
        }
        return false;
    }

}
